Skip to main content
`Ctrl`+`K`

# DMSwarmAddPoint

Add space for one new point in the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmAddPoint(DM dm)

Not Collective

## Input Parameter

- dm - a `DMSWARM`

## Notes

The new point will have all fields initialized to zero.

## See Also

`DM`, `DMSWARM`, `DMSwarmAddNPoints()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages